%{?nodejs_find_provides_and_requires}
%global packagename concat-map
%global enable_tests 1
Name:                   nodejs-concat-map
Version:                0.0.1
Release:                2
Summary:                Concatenative mapdashery
License:                MIT
URL:                    https://github.com/substack/node-concat-map
Source0:                https://registry.npmjs.org/concat-map/-/concat-map-%{version}.tgz
ExclusiveArch:          %{nodejs_arches} noarch
BuildArch:              noarch
BuildRequires:       	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       	npm(tape)
%endif
%description
Concatenative mapdashery

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}
%nodejs_symlink_deps
%if 0%{?enable_tests}

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%{_bindir}/tape test/*.js
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.markdown example/
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Nov 26 2020 caodongxia <caodongxia@huawei.com> - 0.0.1-2
- Delete file nodejs-concat-map.spec.old

* Mon Aug 17 2020 Anan Fu <fuanan3@huawei.com> - 0.0.1-1
- package init
